@import "../../../assets/scss/global";


.select-wrapper {
    position: relative;
    width: 300px;

    @include largeScreen{
        cursor: pointer;
    }

    &.disable{
        pointer-events: none;
    }

    .select {
        display: flex;
        align-items: center;
        justify-content: space-between;
        background: #FFFFFF;
        box-shadow: 0 12px 20px rgba(248, 76, 38, 0.15);
        border-radius: 8px;
        width: 100%;
        padding: 12px 24px;

        .content {
            display: flex;
            align-items: center;

            .img-label {
                svg, img{
                    width: 40px;
                    height: 40px;
                    border-radius: 40px;
                }
            }

            .label {
                width: fit-content;
                padding: 0 10px;
                font-weight: 600;
            }
        }
    }

    .select-menu {
        position: absolute;
        background: white;
        left: 0;
        right: 0;
        top: 73px;
        padding: 20px;
        box-shadow: 20px 20px 60px rgba(0, 0, 0, 0.1);
        border-radius: 12px;
        display: flex;
        flex-direction: column;
        row-gap: 4px;

        p {
            color: #757688;
            font-size: 10px;
            margin-bottom: 5px;
        }

        .item {
            width: 100%;
            height: 40px;
            box-sizing: border-box;
            display: flex;
            align-items: center;
            cursor: pointer;
            padding: 8px 10px;
            border: 1px solid transparent;
            font-weight: 500;

            &:not(.active){
                &:hover {
                    background: #FFF4F4;
                    color: $dark-color;
                    border-radius: 4px;
                }
            }
        }

        .active {
            color: white;
            background: #F09B80;
            border-radius: 4px;
        }
    }
}